Subject: Re: bug#50112: 28.0.50; ediff help frame does not display text

From: David Phillips <[email-masked]>
Date: Fri, 20 Aug 2021 11:44:08 -0400

I ran /Applications/Emacs.app/Contents/MacOS/Emacs -Q 
Loaded two files
Ran "ediff-buffers”
Typed ‘?’ to expand the the help frame and then switched back to the main frame. After running the elisp you provided,

*Messages* contains:
--------
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Buffer A: Processing difference region 0 of 15
Buffer A: Processing difference region 10 of 15
Buffer B: Processing difference region 0 of 15
Buffer B: Processing difference region 10 of 15
Processing difference regions ... done
nil
Mark set
----------
The nil comes from executing the elisp to copy the buffer in the help frame to *foo* and I’d guess is related to things not working correctly.  The "Mark set" was me making sure I had the whole *Messages* buffer.

And *foo* contains:
-----------
*Ediff Control Panel*
    Move around      |      Toggle features      |        Manipulate
=====================|===========================|=============================
p,DEL -previous diff |     | -vert/horiz split   |a/b -copy A/B's region to B/A
n,SPC -next diff     |     h -highlighting       | rx -restore buf X's old diff
    j -jump to diff  |     @ -auto-refinement    |  * -refine current region
   gx -goto X's point|    ## -ignore whitespace  |  ! -update diff regions
  C-l -recenter      |    #c -ignore case        |
  v/V -scroll up/dn  | #f/#h -focus/hide regions | wx -save buf X
  </> -scroll lt/rt  |     X -read-only in buf X | wd -save diff output
    ~ -swap variants |     m -wide display       |
=====================|===========================|=============================
    R -show registry |     = -compare regions    |  M   -show session group
    D -diff output   |     E -browse Ediff manual|  G   -send bug report
    i -status info   |     ? -help off           |  z/q -suspend/quit
-------------------------------------------------------------------------------
For help on a specific command:  Click Button 2 over it; or
              			 Put the cursor over it and type RET.
------------

David

> On Aug 20, 2021, at 11:34 AM, martin rudalics <[email-masked]> wrote:
> 
> > I do have two frames (and the help frame has no content). There is a
> > buffer named *Ediff Control Panel* with the help text in it, but it
> > isn’t displayed in the frame labeled Ediff.  When I run ediff-buffers,
> > hit ‘?’, switch back to the main frame, and evaluate the elisp you
> > sent, I get ’nil’ in the mini buffer and the buffer *foo* has the help
> > text in it. However, the help frame is still empty. I’m trying to
> > understand what this means. It seems like the frame has the right
> > buffer assigned to it but that it is in some weird mode so that it
> > isn’t being rendered properly.
> 
> Is *Ediff Control Panel* the first line of *foo*?  What does *Messages*
> show?  Here it contains the four lines
> 
> Buffer A: Processing difference region 0 of 1
> Buffer B: Processing difference region 0 of 1
> Processing difference regions ... done
> #<buffer *Ediff Control Panel*>
> 
> martin
>